function _defineProperty(obj, key, value) {
  if (key in obj) {
    Object.defineProperty(obj, key, {
      value: value,
      enumerable: true,
      configurable: true,
      writable: true
    });
  } else {
    obj[key] = value;
  }

  return obj;
}

var script = {
  name: 'BaseButton',
  props: {
    animation: {
      type: String,
      required: true
    },
    ariaLabel: {
      type: String,
      required: true
    },
    active: {
      type: Boolean,
      "default": false
    },
    animations: {
      type: Object,
      "default": function _default() {
        return {};
      }
    }
  },
  data: function data() {
    return {
      currentActive: false
    };
  },
  mounted: function mounted() {
    this.currentActive = this.active;
  },
  computed: {
    currentClasses: function currentClasses() {
      var _ref;

      var currentAnimation = this.animations[this.animation].join(' ');
      return _ref = {
        tcon: true
      }, _defineProperty(_ref, "".concat(currentAnimation), true), _defineProperty(_ref, 'tcon-transform', this.currentActive), _ref;
    }
  },
  render: function render() {
    var h = arguments[0];
    return h("button", {
      attrs: {
        "aria-label": this.ariaLabel
      },
      "class": this.currentClasses,
      on: {
        "click": this.toggleStatus
      }
    }, [this.$slots["default"]]);
  },
  methods: {
    toggleStatus: function toggleStatus(e) {
      e.preventDefault();
      this.currentActive = !this.currentActive;
    }
  },
  watch: {
    active: {
      handler: function handler(val) {
        this.currentActive = val;
      }
    }
  }
};

function normalizeComponent(template, style, script, scopeId, isFunctionalTemplate, moduleIdentifier
/* server only */
, shadowMode, createInjector, createInjectorSSR, createInjectorShadow) {
  if (typeof shadowMode !== 'boolean') {
    createInjectorSSR = createInjector;
    createInjector = shadowMode;
    shadowMode = false;
  } // Vue.extend constructor export interop.


  var options = typeof script === 'function' ? script.options : script; // render functions

  if (template && template.render) {
    options.render = template.render;
    options.staticRenderFns = template.staticRenderFns;
    options._compiled = true; // functional template

    if (isFunctionalTemplate) {
      options.functional = true;
    }
  } // scopedId


  if (scopeId) {
    options._scopeId = scopeId;
  }

  var hook;

  if (moduleIdentifier) {
    // server build
    hook = function hook(context) {
      // 2.3 injection
      context = context || // cached call
      this.$vnode && this.$vnode.ssrContext || // stateful
      this.parent && this.parent.$vnode && this.parent.$vnode.ssrContext; // functional
      // 2.2 with runInNewContext: true

      if (!context && typeof __VUE_SSR_CONTEXT__ !== 'undefined') {
        context = __VUE_SSR_CONTEXT__;
      } // inject component styles


      if (style) {
        style.call(this, createInjectorSSR(context));
      } // register component module identifier for async chunk inference


      if (context && context._registeredComponents) {
        context._registeredComponents.add(moduleIdentifier);
      }
    }; // used by ssr in case component is cached and beforeCreate
    // never gets called


    options._ssrRegister = hook;
  } else if (style) {
    hook = shadowMode ? function () {
      style.call(this, createInjectorShadow(this.$root.$options.shadowRoot));
    } : function (context) {
      style.call(this, createInjector(context));
    };
  }

  if (hook) {
    if (options.functional) {
      // register for functional component in vue file
      var originalRender = options.render;

      options.render = function renderWithStyleInjection(h, context) {
        hook.call(context);
        return originalRender(h, context);
      };
    } else {
      // inject component registration as beforeCreate hook
      var existing = options.beforeCreate;
      options.beforeCreate = existing ? [].concat(existing, hook) : [hook];
    }
  }

  return script;
}

var normalizeComponent_1 = normalizeComponent;

var isOldIE = typeof navigator !== 'undefined' && /msie [6-9]\\b/.test(navigator.userAgent.toLowerCase());
function createInjector(context) {
  return function (id, style) {
    return addStyle(id, style);
  };
}
var HEAD;
var styles = {};

function addStyle(id, css) {
  var group = isOldIE ? css.media || 'default' : id;
  var style = styles[group] || (styles[group] = {
    ids: new Set(),
    styles: []
  });

  if (!style.ids.has(id)) {
    style.ids.add(id);
    var code = css.source;

    if (css.map) {
      // https://developer.chrome.com/devtools/docs/javascript-debugging
      // this makes source maps inside style tags work properly in Chrome
      code += '\n/*# sourceURL=' + css.map.sources[0] + ' */'; // http://stackoverflow.com/a/26603875

      code += '\n/*# sourceMappingURL=data:application/json;base64,' + btoa(unescape(encodeURIComponent(JSON.stringify(css.map)))) + ' */';
    }

    if (!style.element) {
      style.element = document.createElement('style');
      style.element.type = 'text/css';
      if (css.media) style.element.setAttribute('media', css.media);

      if (HEAD === undefined) {
        HEAD = document.head || document.getElementsByTagName('head')[0];
      }

      HEAD.appendChild(style.element);
    }

    if ('styleSheet' in style.element) {
      style.styles.push(code);
      style.element.styleSheet.cssText = style.styles.filter(Boolean).join('\n');
    } else {
      var index = style.ids.size - 1;
      var textNode = document.createTextNode(code);
      var nodes = style.element.childNodes;
      if (nodes[index]) style.element.removeChild(nodes[index]);
      if (nodes.length) style.element.insertBefore(textNode, nodes[index]);else style.element.appendChild(textNode);
    }
  }
}

var browser = createInjector;

/* script */
const __vue_script__ = script;

/* template */

  /* style */
  const __vue_inject_styles__ = function (inject) {
    if (!inject) return
    inject("data-v-1cfcf372_0", { source: "@keyframes chevron-pulse{0%{opacity:0}40%{opacity:1}80%{opacity:0}100%{opacity:0}}.tcon{-webkit-appearance:none;-moz-appearance:none;appearance:none;border:none;cursor:pointer;display:-webkit-flex;display:-ms-flexbox;display:flex;-webkit-justify-content:center;-ms-flex-pack:center;justify-content:center;-webkit-align-items:center;-ms-flex-align:center;align-items:center;height:40px;transition:.3s;-webkit-user-select:none;-moz-user-select:none;-ms-user-select:none;user-select:none;width:40px;background:0 0;outline:0;-webkit-tap-highlight-color:transparent;-webkit-tap-highlight-color:transparent}.tcon>*{display:block}.tcon:focus,.tcon:hover{outline:0}.tcon::-moz-focus-inner{border:0}.tcon-plus{height:40px;position:relative;-webkit-transform:scale(.75);transform:scale(.75);width:40px}.tcon-plus::after,.tcon-plus::before{content:\"\";border-radius:2px;display:block;width:85%;height:25%;position:absolute;top:37%;left:8%;transition:.3s;background:#000}.tcon-plus:after{-webkit-transform:rotate(90deg);transform:rotate(90deg)}.tcon-menu__lines{display:inline-block;height:5.71429px;width:40px;border-radius:2.85714px;transition:.3s;background:#000;position:relative}.tcon-menu__lines::after,.tcon-menu__lines::before{display:inline-block;height:5.71429px;width:40px;border-radius:2.85714px;transition:.3s;background:#000;content:'';position:absolute;left:0;-webkit-transform-origin:2.85714px center;transform-origin:2.85714px center;width:100%}.tcon-menu__lines::before{top:10px}.tcon-menu__lines::after{top:-10px}.tcon-transform .tcon-menu__lines{-webkit-transform:scale3d(.8,.8,.8);transform:scale3d(.8,.8,.8)}.tcon-menu--arrow,.tcon-menu--arrowleft{width:auto}.tcon-menu--arrow.tcon-transform .tcon-menu__lines::after,.tcon-menu--arrow.tcon-transform .tcon-menu__lines::before,.tcon-transform.tcon-menu--arrowleft .tcon-menu__lines::after,.tcon-transform.tcon-menu--arrowleft .tcon-menu__lines::before{top:0;width:22.22222px}.tcon-menu--arrow.tcon-transform .tcon-menu__lines::before,.tcon-transform.tcon-menu--arrowleft .tcon-menu__lines::before{-webkit-transform:rotate3d(0,0,1,45deg);transform:rotate3d(0,0,1,45deg)}.tcon-menu--arrow.tcon-transform .tcon-menu__lines::after,.tcon-transform.tcon-menu--arrowleft .tcon-menu__lines::after{-webkit-transform:rotate3d(0,0,1,-45deg);transform:rotate3d(0,0,1,-45deg)}.tcon-grid{padding:1rem}.tcon-grid .tcon-grid__item{width:.5rem;height:.5rem;background:#000;color:#000;transition:.3s}.tcon-grid.tcon-transform .tcon-grid__item{-webkit-transform:rotate3d(0,0,1,-45deg) scale3d(.8,.8,.8);transform:rotate3d(0,0,1,-45deg) scale3d(.8,.8,.8)}.tcon-plus{height:40px;position:relative;-webkit-transform:scale(.75);transform:scale(.75);width:40px}.tcon-plus::after,.tcon-plus::before{content:\"\";border-radius:2px;display:block;width:85%;height:25%;position:absolute;top:37%;left:8%;transition:.3s;background:#000}.tcon-plus:after{-webkit-transform:rotate(90deg);transform:rotate(90deg)}.tcon-remove{height:40px;position:relative;-webkit-transform:scale(.75);transform:scale(.75);width:40px}.tcon-remove::after,.tcon-remove::before{content:\"\";display:block;height:25%;width:85%;position:absolute;top:37%;left:8%;transition:.3s;background:#000}.tcon-remove::before{-webkit-transform:rotate(45deg);transform:rotate(45deg)}.tcon-remove::after{-webkit-transform:rotate(-45deg);transform:rotate(-45deg)}.tcon-search__item{display:inline-block;height:30px;width:30px;border-radius:0;transition:.3s;background:0 0;position:relative;-webkit-transform:rotate(-45deg);transform:rotate(-45deg)}.tcon-search__item::after,.tcon-search__item::before{display:inline-block;height:30px;width:30px;border-radius:0;transition:.3s;background:0 0;content:'';position:absolute;width:100%;top:0;bottom:0;margin:auto}.tcon-search__item::before{height:4px;left:0;background:#000;border-radius:2.85714px}.tcon-search__item::after{right:0;background:#fff;border-radius:50%;width:12.00012px;height:12.00012px;border:2px solid #000;-webkit-transform-origin:50% 50%;transform-origin:50% 50%}.tcon-svgchevron{height:40px;width:40px}.tcon-svgchevron path{-webkit-animation:chevron-pulse 3s infinite cubic-bezier(.4,0,.2,1);animation:chevron-pulse 3s infinite cubic-bezier(.4,0,.2,1);fill:transparent;stroke:#000;stroke-width:1px}.tcon-svgchevron path.a1{-webkit-animation-delay:0s;animation-delay:0s}.tcon-svgchevron path.a2{-webkit-animation-delay:-.5s;animation-delay:-.5s}.tcon-svgchevron path.a3{-webkit-animation-delay:-1s;animation-delay:-1s}.tcon-menu--xbutterfly{width:auto}.tcon-menu--xbutterfly .tcon-menu__lines::after,.tcon-menu--xbutterfly .tcon-menu__lines::before{-webkit-transform-origin:50% 50%;transform-origin:50% 50%;transition:top .3s .6s ease,-webkit-transform .3s ease;transition:top .3s .6s ease,transform .3s ease}.tcon-menu--xbutterfly.tcon-transform .tcon-menu__lines{background:0 0}.tcon-menu--xbutterfly.tcon-transform .tcon-menu__lines::after,.tcon-menu--xbutterfly.tcon-transform .tcon-menu__lines::before{top:0;transition:top .3s ease,-webkit-transform .3s .5s ease;transition:top .3s ease,transform .3s .5s ease;width:40px}.tcon-menu--xbutterfly.tcon-transform .tcon-menu__lines::before{-webkit-transform:rotate3d(0,0,1,45deg);transform:rotate3d(0,0,1,45deg)}.tcon-menu--xbutterfly.tcon-transform .tcon-menu__lines::after{-webkit-transform:rotate3d(0,0,1,-45deg);transform:rotate3d(0,0,1,-45deg)}.tcon-menu--xcross{width:auto}.tcon-menu--xcross.tcon-transform .tcon-menu__lines{background:0 0}.tcon-menu--xcross.tcon-transform .tcon-menu__lines::after,.tcon-menu--xcross.tcon-transform .tcon-menu__lines::before{-webkit-transform-origin:50% 50%;transform-origin:50% 50%;top:0;width:40px}.tcon-menu--xcross.tcon-transform .tcon-menu__lines::before{-webkit-transform:rotate3d(0,0,1,45deg);transform:rotate3d(0,0,1,45deg)}.tcon-menu--xcross.tcon-transform .tcon-menu__lines::after{-webkit-transform:rotate3d(0,0,1,-45deg);transform:rotate3d(0,0,1,-45deg)}.tcon-menu--minus{width:auto}.tcon-menu--minus.tcon-transform .tcon-menu__lines::after,.tcon-menu--minus.tcon-transform .tcon-menu__lines::before{-webkit-transform:none;transform:none;top:0;width:40px}.tcon-menu--arrow360left.tcon-transform{-webkit-transform:scale3d(.8,.8,.8) rotate3d(0,0,1,360deg);transform:scale3d(.8,.8,.8) rotate3d(0,0,1,360deg)}.tcon-menu--arrowup{width:auto}.tcon-menu--arrowup.tcon-transform{-webkit-transform:scale3d(.8,.8,.8) rotate3d(0,0,1,90deg);transform:scale3d(.8,.8,.8) rotate3d(0,0,1,90deg)}.tcon-grid--collapse .tcon-grid__item{box-shadow:-.625rem 0,-.625rem .625rem,.625rem 0,.625rem -.625rem,0 -.625rem,-.625rem -.625rem,0 .625rem,.625rem .625rem}.tcon-grid--collapse.tcon-transform .tcon-grid__item{box-shadow:-.5rem 0,0 0 transparent,.5rem 0,0 0 transparent,0 -.5rem,0 0 transparent,0 .5rem,0 0 transparent}.tcon-grid--rearrange .tcon-grid__item{box-shadow:-.625rem -.625rem,0 -.625rem,.625rem -.625rem,-.625rem 0,.625rem 0,-.625rem .625rem,0 .625rem,.625rem .625rem}.tcon-grid--rearrange.tcon-transform .tcon-grid__item{box-shadow:0 -.5rem,0 -1rem,.5rem 0,-1rem 0,1rem 0,-.5rem 0,0 1rem,0 .5rem}.tcon-remove--check.tcon-transform::before{-webkit-transform:rotate(-135deg) translate(5%,-10%);transform:rotate(-135deg) translate(5%,-10%);top:50%;width:55%}.tcon-remove--check.tcon-transform::after{-webkit-transform:rotate(-45deg) translate(20%,10%);transform:rotate(-45deg) translate(20%,10%);top:50%;width:85%}.tcon-remove--chevron-left.tcon-transform::before{left:20%;-webkit-transform:translate(0,-55%) rotate(-45deg);transform:translate(0,-55%) rotate(-45deg);width:62%}.tcon-remove--chevron-left.tcon-transform::after{left:20%;-webkit-transform:translate(0,55%) rotate(45deg);transform:translate(0,55%) rotate(45deg);width:62%}.tcon-remove--chevron-right.tcon-transform::before{left:20%;-webkit-transform:translate(0,55%) rotate(-45deg);transform:translate(0,55%) rotate(-45deg);width:62%}.tcon-remove--chevron-right.tcon-transform::after{left:20%;-webkit-transform:translate(0,-55%) rotate(45deg);transform:translate(0,-55%) rotate(45deg);width:62%}.tcon-remove--chevron-down.tcon-transform::before{left:5%;-webkit-transform:rotate(-135deg);transform:rotate(-135deg);width:59%}.tcon-remove--chevron-down.tcon-transform::after{left:auto;right:10%;-webkit-transform:rotate(135deg);transform:rotate(135deg);width:60%}.tcon-remove--chevron-up.tcon-transform::before{left:5%;-webkit-transform:rotate(-45deg);transform:rotate(-45deg);width:59%}.tcon-remove--chevron-up.tcon-transform::after{left:auto;right:10%;-webkit-transform:rotate(45deg);transform:rotate(45deg);width:60%}.tcon-plus--check.tcon-transform::before{-webkit-transform:rotate(-135deg) translate(5%,-10%);transform:rotate(-135deg) translate(5%,-10%);top:50%;width:55%}.tcon-plus--check.tcon-transform::after{-webkit-transform:rotate(-45deg) translate(20%,10%);transform:rotate(-45deg) translate(20%,10%);top:50%;width:85%}.tcon-plus--minus.tcon-transform::before{-webkit-transform:rotate(180deg) translate(0,0);transform:rotate(180deg) translate(0,0);width:62%}.tcon-plus--minus.tcon-transform::after{-webkit-transform:rotate(-180deg) translate(-37.5%,0);transform:rotate(-180deg) translate(-37.5%,0);width:62%}.tcon-plus--minusfold{height:40px;position:relative;-webkit-transform:scale(1);transform:scale(1);width:40px}.tcon-plus--minusfold::after,.tcon-plus--minusfold::before{content:\"\";display:block;position:absolute;left:0;transition:.3s all ease-in-out;border-radius:5px;top:50%;-webkit-transform:translate(50%,-50%) rotate(0);transform:translate(50%,-50%) rotate(0);width:50%;height:3.33333px;background:#000}.tcon-plus--minusfold::after{top:50%;width:50%;height:3.33333px;-webkit-transform:translate(50%,-50%) rotate(90deg);transform:translate(50%,-50%) rotate(90deg)}.tcon-plus--minusfold.tcon-transform::after{-webkit-transform:translate(50%,-50%) rotate(0);transform:translate(50%,-50%) rotate(0)}.tcon-plus--circle{border:3.33333px solid #000;border-radius:80%;position:relative;background:0 0}.tcon-plus--circle::after,.tcon-plus--circle::before{content:\"\";display:block;position:absolute;left:0;transition:.3s all ease-in-out;border-radius:5px;top:50%;-webkit-transform:translate(50%,-50%) rotate(0);transform:translate(50%,-50%) rotate(0);width:50%;height:3.33333px;background:#000}.tcon-plus--circle::after{top:50%;width:50%;height:3.33333px;-webkit-transform:translate(50%,-50%) rotate(90deg);transform:translate(50%,-50%) rotate(90deg)}.tcon-plus--circle.tcon-transform::before{-webkit-transform:translate(50%,-50%) rotate(45deg);transform:translate(50%,-50%) rotate(45deg)}.tcon-plus--circle.tcon-transform::after{-webkit-transform:translate(50%,-50%) rotate(-45deg);transform:translate(50%,-50%) rotate(-45deg)}.tcon-mail--envelope{width:40px;height:20px;background:#3d3f41;position:relative}.tcon-mail--envelope:after,.tcon-mail--envelope:before{content:\"\";display:block;position:absolute;bottom:0;top:0;width:40px}.tcon-mail--envelope:before{left:0;border-left:40px solid #bcbcbd;border-top:20px solid transparent}.tcon-mail--envelope:after{right:0;border-right:40px solid #a5acae;border-top:20px solid transparent}.tcon-mail--envelope.tcon-transform .tcon-mail--envelope__flap{-webkit-transform:rotate3d(360,0,0,180deg);transform:rotate3d(360,0,0,180deg);-webkit-transform-origin:0 100%;transform-origin:0 100%}.tcon-mail--envelope__flap{border-bottom:10px solid transparent;border-left:20px solid transparent;border-right:20px solid transparent;border-color:transparent;border-bottom-color:#aeb3b5;position:absolute;-webkit-transform:rotate3d(0,0,0,0deg);transform:rotate3d(0,0,0,0deg);-webkit-transform-origin:0 100%;transform-origin:0 100%;transition:.2s -webkit-transform ease-in-out;transition:.2s transform ease-in-out;top:-10px;left:0}.tcon-search--xcross.tcon-transform{-webkit-transform:scale3d(.8,.8,.8);transform:scale3d(.8,.8,.8)}.tcon-search--xcross.tcon-transform .tcon-search__item::after,.tcon-search--xcross.tcon-transform .tcon-search__item::before{border-radius:2.85714px;background:#000}.tcon-search--xcross.tcon-transform .tcon-search__item::after{height:4px;width:100%;top:0;right:0;border:0;-webkit-transform:rotate3d(0,0,1,90deg);transform:rotate3d(0,0,1,90deg)}.tcon-vid--play{height:40px;padding-top:0;padding-bottom:0;width:40px;transition:375ms all ease-in-out;-webkit-transform-origin:center center;transform-origin:center center}.tcon-vid--play:after{border-style:solid;border-width:20px 0 20px 20px;border-color:transparent transparent transparent #000;content:\"\";display:block;height:0;-webkit-transform:translateX(25%);transform:translateX(25%);width:40px}.tcon-vid--play.tcon-transform{background:#000;-webkit-transform:rotate(-360deg);transform:rotate(-360deg)}.tcon-loader--spinner360{border-radius:80%;display:block;height:40px;width:40px;position:relative;-webkit-animation:tcon-spin360 675ms linear infinite forwards;animation:tcon-spin360 675ms linear infinite forwards;background:#d3d3d3}.tcon-loader--spinner360:after,.tcon-loader--spinner360:before{content:\"\";display:block;position:absolute}.tcon-loader--spinner360:before{border-radius:0 90px 90px 0;height:40px;width:50%;top:0;right:0;z-index:1;background:#000;background-image:linear-gradient(#d3d3d3,#000)}.tcon-loader--spinner360:after{border-radius:80%;height:30px;width:30px;top:50%;left:50%;-webkit-transform:translate(-50%,-50%);transform:translate(-50%,-50%);z-index:1;background:#fff}@keyframes tcon-spin360{to{-webkit-transform:rotate(360deg);transform:rotate(360deg)}}.tcon-visuallyhidden{border:0;clip:rect(0 0 0 0);height:1px;margin:-1px;overflow:hidden;padding:0;position:absolute;width:1px}.tcon-visuallyhidden:active,.tcon-visuallyhidden:focus{clip:auto;height:auto;margin:0;overflow:visible;position:static;width:auto}", map: undefined, media: undefined });

  };
  /* scoped */
  const __vue_scope_id__ = undefined;
  /* module identifier */
  const __vue_module_identifier__ = undefined;
  /* functional template */
  const __vue_is_functional_template__ = undefined;
  /* style inject SSR */
  

  
  var BaseButton = normalizeComponent_1(
    {},
    __vue_inject_styles__,
    __vue_script__,
    __vue_scope_id__,
    __vue_is_functional_template__,
    __vue_module_identifier__,
    browser,
    undefined
  );

var script$1 = {
  props: {
    animation: {
      type: String,
      "default": ''
    },
    active: {
      type: Boolean,
      "default": false
    }
  }
};

/* script */
const __vue_script__$1 = script$1;

/* template */

  /* style */
  const __vue_inject_styles__$1 = undefined;
  /* scoped */
  const __vue_scope_id__$1 = undefined;
  /* module identifier */
  const __vue_module_identifier__$1 = undefined;
  /* functional template */
  const __vue_is_functional_template__$1 = undefined;
  /* style inject */
  
  /* style inject SSR */
  

  
  var IconMixin = normalizeComponent_1(
    {},
    __vue_inject_styles__$1,
    __vue_script__$1,
    __vue_scope_id__$1,
    __vue_is_functional_template__$1,
    __vue_module_identifier__$1,
    undefined,
    undefined
  );

var MenuIcon = {
  name: 'MenuIcon',
  mixins: [IconMixin],
  data: function data() {
    return {
      defaultAnimation: 'butterfly',
      animations: {
        butterfly: ['tcon-menu--xbutterfly'],
        minus: ['tcon-menu--minus'],
        'x-cross': ['tcon-menu--xcross'],
        'arrow-up': ['tcon-menu--arrow', 'tcon-menu--arrowup'],
        'arrow-360-left': ['tcon-menu--arrow', 'tcon-menu--arrow360left'],
        'arrow-left': ['tcon-menu--arrow', 'tcon-menu--arrowleft']
      }
    };
  },
  mounted: function mounted() {
    this.defaultAnimation = this.animation ? this.animation : this.defaultAnimation;
  },
  render: function render() {
    var h = arguments[0];
    return h(BaseButton, {
      attrs: {
        ariaLabel: "toggle menu",
        animation: this.defaultAnimation,
        animations: this.animations,
        active: this.active
      }
    }, [h("span", {
      attrs: {
        "aria-hidden": "true"
      },
      "class": "tcon-menu__lines"
    }), h("span", {
      "class": "tcon-visuallyhidden"
    }, ["toggle menu"])]);
  },
  components: {
    BaseButton: BaseButton
  }
};

var GridIcon = {
  name: 'GridIcon',
  mixins: [IconMixin],
  data: function data() {
    return {
      defaultAnimation: 'rearrange',
      animations: {
        rearrange: ['tcon-grid', 'tcon-grid--rearrange'],
        collapse: ['tcon-grid', 'tcon-grid--collapse']
      }
    };
  },
  mounted: function mounted() {
    this.defaultAnimation = this.animation ? this.animation : this.defaultAnimation;
  },
  render: function render() {
    var h = arguments[0];
    return h(BaseButton, {
      attrs: {
        ariaLabel: "toggle grid",
        animation: this.defaultAnimation,
        animations: this.animations,
        active: this.active
      }
    }, [h("span", {
      attrs: {
        "aria-hidden": "true"
      },
      "class": "tcon-grid__item"
    }), h("span", {
      "class": "tcon-visuallyhidden"
    }, ["toggle grid"])]);
  },
  components: {
    BaseButton: BaseButton
  }
};

var AddIcon = {
  name: 'AddIcon',
  mixins: [IconMixin],
  data: function data() {
    return {
      defaultAnimation: 'minus',
      animations: {
        minus: ['tcon-plus', 'tcon-plus--minus'],
        check: ['tcon-plus', 'tcon-plus--check']
      }
    };
  },
  mounted: function mounted() {
    this.defaultAnimation = this.animation ? this.animation : this.defaultAnimation;
  },
  render: function render() {
    var h = arguments[0];
    return h(BaseButton, {
      attrs: {
        ariaLabel: "add item",
        animation: this.defaultAnimation,
        animations: this.animations,
        active: this.active
      }
    }, [h("span", {
      "class": "tcon-visuallyhidden"
    }, ["add item"])]);
  },
  components: {
    BaseButton: BaseButton
  }
};

var MailIcon = {
  name: 'MailIcon',
  mixins: [IconMixin],
  data: function data() {
    return {
      defaultAnimation: 'mail',
      animations: {
        mail: ['tcon-mail--envelope']
      }
    };
  },
  mounted: function mounted() {
    this.defaultAnimation = this.animation ? this.animation : this.defaultAnimation;
  },
  render: function render() {
    var h = arguments[0];
    return h(BaseButton, {
      attrs: {
        ariaLabel: "open mailbox",
        animation: this.defaultAnimation,
        animations: this.animations,
        active: this.active
      }
    }, [h("span", {
      attrs: {
        "aria-hidden": "true"
      },
      "class": "tcon-mail--envelope__flap"
    }), h("span", {
      "class": "tcon-visuallyhidden"
    }, ["open mailbox"])]);
  },
  components: {
    BaseButton: BaseButton
  }
};

var ScrollIcon = {
  name: 'ScrollIcon',
  render: function render() {
    var h = arguments[0];
    return h("svg", {
      "class": "tcon-svgchevron",
      attrs: {
        version: "1.1",
        viewBox: "0 0 30 36",
        xmlns: "http://www.w3.org/2000/svg"
      }
    }, [h("path", {
      "class": "a3",
      attrs: {
        d: "M0,0l15,16L30,0"
      }
    }), h("path", {
      "class": "a2",
      attrs: {
        d: "M0,10l15,16l15-16"
      }
    }), h("path", {
      "class": "a1",
      attrs: {
        d: "M0,20l15,16l15-16"
      }
    })]);
  }
};

var FormIcon = {
  name: 'FormIcon',
  mixins: [IconMixin],
  data: function data() {
    return {
      defaultAnimation: 'search',
      animations: {
        search: ['tcon-search--xcross']
      }
    };
  },
  mounted: function mounted() {
    this.defaultAnimation = this.animation ? this.animation : this.defaultAnimation;
  },
  render: function render() {
    var h = arguments[0];
    return h(BaseButton, {
      attrs: {
        ariaLabel: "toggle search",
        animation: this.defaultAnimation,
        animations: this.animations,
        active: this.active
      }
    }, [h("span", {
      attrs: {
        "aria-hidden": "true"
      },
      "class": "tcon-search__item"
    }), h("span", {
      "class": "tcon-visuallyhidden"
    }, ["toggle search"])]);
  },
  components: {
    BaseButton: BaseButton
  }
};

var VideoIcon = {
  name: 'VideoIcon',
  mixins: [IconMixin],
  data: function data() {
    return {
      defaultAnimation: 'play',
      animations: {
        play: ['tcon-vid--play']
      }
    };
  },
  mounted: function mounted() {
    this.defaultAnimation = this.animation ? this.animation : this.defaultAnimation;
  },
  render: function render() {
    var h = arguments[0];
    return h(BaseButton, {
      attrs: {
        ariaLabel: "play video",
        animation: this.defaultAnimation,
        animations: this.animations,
        active: this.active
      }
    }, [h("span", {
      "class": "tcon-visuallyhidden"
    }, ["play video"])]);
  },
  components: {
    BaseButton: BaseButton
  }
};

var LoaderIcon = {
  name: 'LoaderIcon',
  render: function render() {
    var h = arguments[0];
    return h("span", {
      attrs: {
        "aria-label": "loading"
      },
      "class": "tcon-loader--spinner360"
    }, [h("span", {
      "class": "tcon-visuallyhidden"
    }, ["loading"])]);
  }
};

var RemoveIcon = {
  name: 'RemoveIcon',
  mixins: [IconMixin],
  data: function data() {
    return {
      defaultAnimation: 'check',
      animations: {
        check: ['tcon-remove', 'tcon-remove--check'],
        'chevron-left': ['tcon-remove', 'tcon-remove--chevron-left'],
        'chevron-right': ['tcon-remove', 'tcon-remove--chevron-right'],
        'chevron-down': ['tcon-remove', 'tcon-remove--chevron-down'],
        'chevron-up': ['tcon-remove', 'tcon-remove--chevron-up']
      }
    };
  },
  mounted: function mounted() {
    this.defaultAnimation = this.animation ? this.animation : this.defaultAnimation;
  },
  render: function render() {
    var h = arguments[0];
    return h(BaseButton, {
      attrs: {
        ariaLabel: "remove item",
        animation: this.defaultAnimation,
        animations: this.animations,
        active: this.active
      }
    }, [h("span", {
      "class": "tcon-visuallyhidden"
    }, ["remove item"])]);
  },
  components: {
    BaseButton: BaseButton
  }
};

var components = [MenuIcon, GridIcon, AddIcon, MailIcon, ScrollIcon, FormIcon, VideoIcon, LoaderIcon, RemoveIcon];
function install(Vue) {
  if (install.installed) return;
  install.installed = true;
  components.forEach(function (component) {
    Vue.component(component.name, component);
  });
}
var plugin = {
  install: install
};
var GlobalVue = null;

if (typeof window !== 'undefined') {
  GlobalVue = window.Vue;
} else if (typeof global !== 'undefined') {
  GlobalVue = global.Vue;
}

if (GlobalVue) {
  GlobalVue.use(plugin);
}

export default plugin;
export { AddIcon, FormIcon, GridIcon, LoaderIcon, MailIcon, MenuIcon, RemoveIcon, ScrollIcon, VideoIcon, install };
